curl --request POST \
--url https://whitebit.com/api/v4/order/collateral/trigger-market \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"market": "BTC_USDT",
"side": "buy",
"amount": "0.01",
"activation_price": "40000",
"client_order_id": "order1987111",
"request": "{{request}}",
"nonce": "{{nonce}}"
}
'import requests
url = "https://whitebit.com/api/v4/order/collateral/trigger-market"
payload = {
"market": "BTC_USDT",
"side": "buy",
"amount": "0.01",
"activation_price": "40000",
"client_order_id": "order1987111",
"request": "{{request}}",
"nonce": "{{nonce}}"
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
market: 'BTC_USDT',
side: 'buy',
amount: '0.01',
activation_price: '40000',
client_order_id: 'order1987111',
request: '{{request}}',
nonce: '{{nonce}}'
})
};
fetch('https://whitebit.com/api/v4/order/collateral/trigger-market', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_id": 4180284841,
"client_order_id": "order1987111",
"market": "BTC_USDT",
"side": "sell",
"type": "stop market",
"timestamp": 1595792396.165973,
"deal_money": "0",
"deal_stock": "0",
"amount": "0.001",
"left": "0.001",
"deal_fee": "0",
"activation_price": "40000",
"status": "FILLED",
"stp": "no",
"oto": {
"otoId": 29457221,
"stopLoss": "50000",
"takeProfit": "30000"
},
"positionSide": "LONG"
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Collateral Trigger Market Order
Place a collateral trigger market order for execution at market price upon reaching the trigger price.
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
"BTC_USDT"
buy, sell "buy"
"0.01"
"40000"
"{{request}}"
"{{nonce}}"
"order1987111"
"50000"
"30000"
LONG, SHORT, BOTH "LONG"
Response
Successful response - trigger market order created
Unique order identifier
4180284841
Custom client order identifier. Empty string if not specified
"order1987111"
Market name
"BTC_USDT"
Order side
buy, sell "sell"
Order type
"stop market"
Timestamp of order creation in Unix format
1595792396.165973
Amount in money currency that is finished
"0"
Amount in stock currency that is finished
"0"
Order amount
"0.001"
Remaining amount that must be finished
"0.001"
Fee in money that is paid when order is finished
"0"
Price at which the stop market order activates
"40000"
Order status
NEW, FILLED, PARTIALLY_FILLED, CANCELLED "FILLED"
Self trade prevention mode
"no"
OTO order data when stopLoss or takeProfit is specified
Show child attributes
Show child attributes
Position side
LONG, SHORT, BOTH "LONG"
Was this page helpful?